# Class VulkanLWJGLDebugging

java.lang.Object
com.io7m.jcoronado.lwjgl.internal.VulkanLWJGLDebugging

All Implemented Interfaces:
  `VulkanDebuggingType`

public final class VulkanLWJGLDebugging extends Object implements VulkanDebuggingType
A debugging interface.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface com.io7m.jcoronado.api.VulkanDebuggingType

  `VulkanDebuggingType.Color, VulkanDebuggingType.VulkanDebugRegionType`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VulkanDebuggingType.VulkanDebugRegionType`
  `begin(VulkanCommandBufferType commandBuffer, String label, VulkanDebuggingType.Color color)`
  Open a command buffer debug label region.
  `void`
  `setObjectName(VulkanHandleType handle, String name)`
  Set the name of the given object.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.io7m.jcoronado.api.VulkanDebuggingType

  `begin`

- ## Method Details

  - ### setObjectName

    public void setObjectName(VulkanHandleType handle, String name) throws VulkanException
    Description copied from interface: `VulkanDebuggingType`
    Set the name of the given object.
    Specified by:
      `setObjectName` in interface `VulkanDebuggingType`
    Parameters:
      `handle` - The handle
      `name` - The name
    Throws:
      `VulkanException` - On errors

  - ### begin

    public VulkanDebuggingType.VulkanDebugRegionType begin(VulkanCommandBufferType commandBuffer, String label, VulkanDebuggingType.Color color) throws VulkanException
    Description copied from interface: `VulkanDebuggingType`
    Open a command buffer debug label region.
    Specified by:
      `begin` in interface `VulkanDebuggingType`
    Parameters:
      `commandBuffer` - The command buffer
      `label` - The region label
      `color` - The region color
    Returns:
      The region
    Throws:
      `VulkanException` - On errors